libwget-parse_sitemap(3)

NAME
libwget-parse_sitemap - Sitemap URL extraction routines

SYNOPSIS

  Data Structures

struct sitemap_context

  Functions

void wget_sitemap_get_urls_inline (const char *sitemap, wget_vector **urls, wget_vector **sitemap_urls)

Detailed Description

Routines for URL extraction from Sitemap XML data.

Function Documentation

  void wget_sitemap_get_urls_inline (const char * sitemap, wget_vector ** urls, wget_vector ** sitemap_urls)

Parameters
    sitemap Sitemap XML data
    urls Pointer to return vector of URLs
    sitemap_urls Pointer to return vector of sitemap URLs

Finds all URLs and sitemap URLs within the Sitemap XML data sitemap and returns them as vector in urls and/or sitemap_urls.

Author

Generated automatically by Doxygen for wget2 from the source code.